<?php

$title ='Тех поддержка';

include_once 'protected/sys.php';




switch ($_GET['mode']) 
{ 
  default; 
IF(isset($_get['COPY'])) 
{ 

} 
if($_GET['create']=="true") 
{ 
     
    $_title=_string($_POST['title']); 

    $_sms=_string($_POST['sms']); 

    if(empty($_title))$err="Пустой заголовок!"; 

    if(empty($_sms))$err="Пустой текст обращения!"; 

    if(strlen($_title)<5 OR strlen($_title)>25)$err="Длина заголовка от 5 до 25 символов"; 

    if(strlen($_sms)<10 OR strlen($_sms)>8048)$err="Длина сообщения от 10 до 8048 символов"; 

    if($err) 
    { 

        ?> 

        <div class="content"> 
        <font color="red"><?=$err;?></font> 
        </div> 

        <? 

    }elseif(!$err){ 

            $db->query("INSERT INTO `ticket` SET `user`='".$user['id']."',`text`='$_sms',`title`='$_title',`status`='new'")OR DIE(mysql_error()); 

            ?> 

        <div class="content"> 
        <font color="green">Заявка успешно отправлена! Администратор ответит в близжайшее время.</font> 
        </div> 

        <? 

         



    } 

     



} 

?> 

<? 

$my_requests=$db->fetchAll("SELECT * FROM `ticket` WHERE `user`='".$user['id']."'"); 

if(mysql_num_rows($my_requests)==0) 
{ 

?> 
<div class="bdr bg_blue"><div class="wr1"><div class="wr2"><div class="wr3"><div class="wr4"><div class="wr5"><div class="wr6"><div class="wr7"><div class="wr8">
		<div class="ml10 mt5 mb5 mr10 sh">
<font color='red'>Нет заявок.</font> 
</div> </div></div></div> </div></div></div> </div></div></div> </div></div></div> </div></div>
<? 

}elseif(mysql_num_rows($my_requests)>0) 
{ 

    while ($req=mysql_fetch_array($my_requests)) 
    { 
         
        switch ($req[status]) 
        { 
            case 'new'; 

            $status="<font color='yellow'>Ожидание</font>"; 

            break; 

            case 'read'; 

            $status="<font color='green'>Есть ответ</font>"; 

            break; 

            case 'close'; 

            $status="<font color='red'>Закрыт</font>"; 

            break; 

            case 'user'; 

            $status="<font color='red'>Ответил пользователь</font>"; 

            break; 

        } 

        ?>       
<div class="bdr bg_blue"><div class="wr1"><div class="wr2"><div class="wr3"><div class="wr4"><div class="wr5"><div class="wr6"><div class="wr7"><div class="wr8">
		<div class="ml10 mt5 mb5 mr10 sh">

            <div class="mt5 mb10 large cntr medium lwhite tdn"><span class="font_18">Мои вопросы</span></div>

						
</div> 
            <div class="ticket mb2" >
                    <img src="http://mrush.mobi/view/image/icons/hero_on_0.png" style="vertical-align: middle">
					<a class="grey1" href="?mode=viev&id=<?=$req['id'];?>"><?=$req['title'];?>(<?=$status;?>)</a> <span class="grey1 small fr pt3"></span>				</div>
		    </div></div>
	</div></div></div></div></div></div></div></div></div>

        <? 



    } 



} 


break; 

case 'viev'; 

$id=trim(htmlspecialchars($_GET['id'])); 

    $tik=$db->fetchAll("SELECT * FROM `ticket` WHERE `id`='$id'  and `user`='".mysql_real_escape_string($user['id'])."'"); 

    if($tik){ 
         
                switch ($tik[status]) 
        { 
            case 'new'; 

            $status="<font color='yellow'>Ожидание</font>"; 

            break; 

            case 'read'; 

            $status="<font color='green'>Есть ответ</font>"; 

            break; 

            case 'close'; 

            $status="<font color='red'>Закрыт</font>"; 

            break; 

            case 'user'; 

            $status="<font color='red'>Ответил пользователь</font>"; 

            break; 
        } 


if($_GET['close']=="true" && $tik['status']!="close") 
{ 


$db->query("UPDATE `ticket` SET `status`='close' WHERE `id`='".mysql_real_escape_string($tik['id'])."'"); 


?> 
 
                        <span>обращение закрыто</span> 
                        </div> 
<? 

} 
         
        if($_GET['answer']=="true") 
        { 

                $sms=_string($_POST['sms']); 
     
                if(strlen($sms)<5 OR strlen($sms)>2048)$err="Длина сообщения от 5 до 2048 символов"; 

                if($tik['status']=="close")$err="Тикет закрыт."; 

                if($tik['status']=="user")$err="Антифлуд."; 

                if($err) 
                { 

                    ?> 

                        <div class="content"> 
                        <span><?=$err;?></span> 
                        </div> 
                     
                        <? 
                }elseif(!$err) 
                { 

                    $db->query("INSERT INTO `ticket_answer` SET `text`='".mysql_real_escape_string($sms)."',`type`='user',`ticket`='".mysql_real_escape_string($tik['id'])."'"); 

                    $db->query("UPDATE `ticket` SET `status`='user' WHERE `id`='".mysql_real_escape_string($tik['id'])."'"); 

                    ?>                 
     
                        <div class="content"> 
                        <span color="green">Сообщение добавлено!</span> 
                        </div> 

                    <? 



                } 



        } 
     

        ?> 
<div class="bdr bg_main mb2"><div class="wr1"><div class="wr2"><div class="wr3"><div class="wr4"><div class="wr5"><div class="wr6"><div class="wr7"><div class="wr8">
<div class='main'>

                

      
            <div align="left"/> 
            Тема:<?=$tik['title'];?><br/> 
            Статус: <?=$status;?><br/> 
            Текст обращения: <?echo "".nl2br($tik['text'])."";?><br/> 
            </div></div> 
            <div class="line"></div> 
            <div class="content"> 
            <a href='?mode=viev&id=<?=$tik['id'];?>&close=true' class='button'>Закрыть обращение</a> 
            <div class="line"></div> 
            <? 

    if($tik['status']=="user" OR $tik['status']=="close"){ 
                ?> 
            <font color='#999'>Антифлуд, дождитесь ответа адмнистратора чтоб отправить повторно сообщение. Или же Ваше обращение закрыто.</font> 
                <? 
}else{ 
    ?> 
                        <form action="?mode=viev&id=<?=$tik['id'];?>&answer=true" method="POST">
            <textarea rows="6" class="lbfld ha w96 mt5" name="sms"></textarea>
            
            <input class="ibtn w90px mt10 mb5" type="submit" value="Отправить" />
        </form>
    </div>
</div></div></div></div></div></div></div></div></div>

<? 
} 
?> 
            </div> 
            <Div class="line"> 
            </div> 


         
        <? 

    $answer=mysql_query("SELECT  * FROM `ticket_answer` WHERE `ticket`='".$tik['id']."' ORDER BY `id` DESC"); 

    if(mysql_num_rows($answer)==0){ 

        ?> 

        <div class="content"> 
        <font color='#999'>Сообщений не найдено.</font> 
        </div> 
     
        <? 
     
    }elseif(mysql_num_rows($answer)>0) 
    { 

            while ($feed=mysql_fetch_array($answer)) 
            { 
               
                if($feed['type']=="admin") 
                { 

                    ?> 
<div class="bdr bg_blue"><div class="wr1"><div class="wr2"><div class="wr3"><div class="wr4"><div class="wr5"><div class="wr6"><div class="wr7"><div class="wr8">
    <div class="ml10 mt5 mb5 mr10 sh right">
<div class="mar4b">
                   <img src="http://144.76.127.94/view/image/icons/hero.png" class="icon" /> <span class="tdn lblue">Консультант:</span> <div class="grey1 small fr"></div></div><span class="lblue"><?=$feed['text'];?></span></div>               </div></div>
	</div></div></div></div></div></div></div></div></div>                     
                    </br>
                    <? 

                }elseif($feed['type']=="user") 
                { 

                    ?> 
<div class="bdr bg_blue"><div class="wr1"><div class="wr2"><div class="wr3"><div class="wr4"><div class="wr5"><div class="wr6"><div class="wr7"><div class="wr8">
    <div class="ml10 mt5 mb5 mr10 sh right">
<div class="mar4b">
                    <img src="http://144.76.127.94/view/image/icons/hero.png" class="icon" /> <span class="tdn lblue"><?=$user['login'];?></span> <div class="grey1 small fr"></div></div><span class="lblue"><?=$feed['text'];?></span></div>                                    </div></div></div></div></div></div></div></div></div></div>
                    <? 


                } 

            }         

    } 


    }elseif(!$tik) 
    { 

        header("Location:/ticket/"); 

        exit; 

    } 


break; 

if(!$user OR $user['access'] < 2) {

  header('location: /');
    
exit;

}
case 'admin'; 







$id=trim(htmlspecialchars($_GET['id'])); 

    $tik=$db->fetch("SELECT * FROM `ticket` WHERE `id`='$id'"); 

    if($tik){ 
         
                switch ($tik[status]) 
        { 
            case 'new'; 

            $status="<font color='yellow'>Ожидание</font>"; 

            break; 

            case 'read'; 

            $status="<font color='green'>Есть ответ</font>"; 

            break; 

            case 'close'; 

            $status="<font color='red'>Закрыт</font>"; 

            break; 

            case 'user'; 

            $status="<font color='red'>Ответил пользователь</font>"; 

            break; 
        } 

if($_GET['open']=="true") 
{ 

mysql_query("UPDATE `ticket` SET `status`='read' WHERE `id`='".mysql_real_escape_string($tik['id'])."'"); 


} 


if($_GET['delete']=="true") 
{ 

mysql_query("DELETE FROM `ticket` WHERE `id`='".mysql_real_escape_string($tik['id'])."'"); 

mysql_query("DELETE FROM `ticket_answer` WHERE `ticket`='".mysql_real_escape_string($tik['id'])."'"); 



?> 

<div class="content"> 
                        <span>Тикет удален:)</span> 
                        </div> 
<? 


} 



if($_GET['close']=="true" && $tik['status']!="close") 
{ 


mysql_query("UPDATE `ticket` SET `status`='close' WHERE `id`='".mysql_real_escape_string($tik['id'])."'"); 




} 
         
        if($_GET['answer']=="true") 
        { 

                $sms=_string($_POST['sms']); 
     
                if(strlen($sms)<5 OR strlen($sms)>2048)$err="Длина сообщения от 5 до 2048 символов"; 

                if($tik['status']=="close")$err="Тикет закрыт."; 

                 

                if($err) 
                { 

                    ?> 

                        <div class="content"> 
                        <span><?=$err;?></span> 
                        </div> 
                     
                        <? 
                }elseif(!$err) 
                { 

                    mysql_query("INSERT INTO `ticket_answer` SET `text`='".mysql_real_escape_string($sms)."',`type`='admin',`ticket`='".mysql_real_escape_string($tik['id'])."'"); 

                    mysql_query("UPDATE `ticket` SET `status`='read' WHERE `id`='".mysql_real_escape_string($tik['id'])."'"); 

                    ?>                 
     
                        <div class="content"> 
                        <span color="green">Сообщение добавлено!</span> 
                        </div> 

                    <? 



                } 



        } 
     

        ?> 
<div class="bdr bg_main mb2"><div class="wr1"><div class="wr2"><div class="wr3"><div class="wr4"><div class="wr5"><div class="wr6"><div class="wr7"><div class="wr8">
<div class='main'>

            <div class="content"> 
            <div align="left"/> 
Пользователь ID: <?=$tik['user'];?></br>
            Тема: <?=$tik['title'];?><br/> 
            Статус: <?=$status;?><br/> 
            Текст обращения: <?echo "".nl2br($tik['text'])."";?><br/> 
            </div></div> 
            <div class="line"></div> 
            <div class="content"> 
            <a href='?mode=admin&id=<?=$tik['id'];?>&close=true' class='button'>Закрыть обращение</a> 
            <a href='?mode=admin&id=<?=$tik['id'];?>&delete=true' class='button'>Удалить обращение</a> 
            <a href='?mode=admin&id=<?=$tik['id'];?>&open=true' class='button'>Открыть</a> 
            <div class="line"></div> 

            <Form action="?mode=admin&id=<?=$tik['id'];?>&answer=true" method="post"/> 
            <textarea name="sms" rows cols="30" placeholder="Ваш ответ."/></textarea> 
              <input type="submit" value="Отправить"/> 
            </form> 


            </div> 
            <Div class="line"> 
            </div> 
</div></div></div></div></div></div></div></div></div></div></div></div>

         
        <? 

    $answer=mysql_query("SELECT  * FROM `ticket_answer` WHERE `ticket`='".$tik['id']."' ORDER BY `id` DESC"); 

    if(mysql_num_rows($answer)==0){ 

        ?> 

        <div class="content"> 
        <font color='#999'>Сообщений не найдено.</font> 
        </div> 
     
        <? 
     
    }elseif(mysql_num_rows($answer)>0) 
    { 

            while ($feed=mysql_fetch_array($answer)) 
            { 
               
                if($feed['type']=="admin") 
                { 

                    ?> 
                    <div class="content"> 
                    <font color='#999'>Вы (АДМИН):</font><br> 
                    <?=$feed['text'];?> 
                    </div> 
                    <Div class="line"> 
            </div> 
                    <? 

                }elseif($feed['type']=="user") 
                { 

                    ?> 
                    <div class="content"> 
                    <font color='#999'>Пользователь ID:<?=$tik['user']?></font><br> 
                    <?=$feed['text'];?> 
                    </div> 
                    <Div class="line"> 
            </div> 
                    <? 


                } 

           

    } 


    }elseif(!$tik) 
    { 

        header("Location:/ticket/"); 

        exit; 

    } 






}



break; 
case 'viev_all'; 

if($user['access'] < 2) 
{ 


    header("Location:/"); 

    exit; 


} 

$all=mysql_query("SELECT * FROM `ticket`  ORDER BY `id` DESC"); 

if(mysql_num_rows($all)==0) 
{ 

?> 

        <div class="content"> 
        <font color='#999'>Заявок нету</font> 
        </div> 
     
        <? 

}elseif(mysql_num_rows($all)>0) 
{ 


    while ($at=mysql_fetch_array($all)) 
    { 
       
                    switch ($at[status]) 
        { 
            case 'new'; 

            $status="<font color='yellow'>Ожидание</font>"; 

            break; 

            case 'read'; 

            $status="<font color='green'>Есть ответ</font>"; 

            break; 

            case 'close'; 

            $status="<font color='red'>Закрыт</font>"; 

            break; 

            case 'user'; 

            $status="<font color='red'>Ответил пользователь</font>"; 

            break; 
        } 

                ?>       
<div class="bdr bg_main mb2"><div class="light"><div class="wr1"><div class="wr2"><div class="wr3"><div class="wr4"><div class="wr5"><div class="wr6"><div class="wr7"><div class="wr8">
            
              <a href='?mode=admin&id=<?=$at['id'];?>'> <?=$at['title'];?>(<?=$status;?>)</a></li
            </div></div></div></div></div></div></div></div></div></div></div></div>

        <? 
     



    } 






} 


break; 
case 'create'; 
?>

	<div class="bntf"><div class="small"><div class="nl"><div class="nr cntr lyell small lh1 plr15 pt5 pb5 sh">
		Напишите свой вопрос. Чем подробнее и понятнее вы напишете вопрос, тем быстрее и точнее получите ответ.	</div>
</div></div></div></div></div></div></div></div></div>
	<div class="hr_g mb2"><div><div></div></div></div>


<form action="?create=true" method="POST" class="mt10 mr5">
<div class="bdr bg_blue"><div class="wr1"><div class="wr2"><div class="wr3"><div class="wr4"><div class="wr5"><div class="wr6"><div class="wr7"><div class="wr8">
<div class="ml10 mt5 mb5 mr10 sh cntr">
    <div class="pb5">
 <input name="title" placeholder="Заголовок"/><br/>
        <textarea rows="6" class="lbfld ha w96 mt5" name="sms" class="send_message"></textarea>
         
    </div>
    <div class="mb5">
        <span class="ubtn inbl green pt"><span class="ul"><input class="ur" style="font-size: 16px; font-family: arial" value="Написать" type="submit"></span></span>
    </div>
</div>
</div></div></div></div></div></div></div></div></div>
</form>

<?

break;
}
include_once $config['root'].'/protected/footermain.php';